var s = Object.defineProperty;
var i = (e, n, c) => n in e ? s(e, n, { enumerable: !0, configurable: !0, writable: !0, value: c }) : e[n] = c;
var o = (e, n, c) => (i(e, typeof n != "symbol" ? n + "" : n, c), c);
const t = class t {
  constructor() {
    o(this, "isProduction");
    this.isProduction = !0;
  }
  static getInstance() {
    return t.instance || (t.instance = new t()), t.instance;
  }
  /**
   * Debug level logging - stripped in production
   */
  debug(...n) {
    this.isProduction || console.debug("[React PDF Debug]:", ...n);
  }
  /**
   * Info level logging - kept in production
   */
  info(...n) {
    console.info("[React PDF Info]:", ...n);
  }
  /**
   * Warning level logging - kept in production
   */
  warn(...n) {
    console.warn("[React PDF Warning]:", ...n);
  }
  /**
   * Error level logging - kept in production
   */
  error(...n) {
    console.error("[React PDF Error]:", ...n);
  }
};
o(t, "instance");
let r = t;
const u = r.getInstance();
export {
  u as appConsole
};
